const checkCapabilities = () => {
    if (!('serviceWorker' in navigator)) {
        throw new Error('No Service Worker support!');
    }
    if (!('PushManager' in window)) {
        throw new Error('No Push API support!');
    }
};
const registerServiceWorker = async (registrationOptions) => navigator.serviceWorker.register('/sw.js', registrationOptions);
const requestNotificationPermission = async () => {
    const permission = await window.Notification.requestPermission();
    if (permission !== 'granted') {
        console.error('Permission not granted for Notification');
    }
};
window.addEventListener('load', async () => {
    checkCapabilities();
    await requestNotificationPermission();
    await registerServiceWorker({ scope: '/' });
});
